Package oasis.names.tc.dss._1_0.core.schema

# Class SigningTimeInfo

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.SigningTimeInfo

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SigningTimeInfo extends Object implements Serializable

Java class for SigningTimeInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SigningTimeInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SigningTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="SigningTimeBoundaries" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="LowerBoundary" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                       <element name="UpperBoundary" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SigningTimeInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getSigningTime()`
  Gets the value of the signingTime property.
  `SigningTimeBoundaries`
  `getSigningTimeBoundaries()`
  Gets the value of the signingTimeBoundaries property.
  `void`
  `setSigningTime(Instant value)`
  Sets the value of the signingTime property.
  `void`
  `setSigningTimeBoundaries(SigningTimeBoundaries value)`
  Sets the value of the signingTimeBoundaries property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SigningTimeInfo

    public SigningTimeInfo()

- ## Method Details

  - ### getSigningTime

    public Instant getSigningTime()
    Gets the value of the signingTime property.
    Returns:
      possible object is `String`

  - ### setSigningTime

    public void setSigningTime(Instant value)
    Sets the value of the signingTime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSigningTimeBoundaries

    public SigningTimeBoundaries getSigningTimeBoundaries()
    Gets the value of the signingTimeBoundaries property.
    Returns:
      possible object is `SigningTimeBoundaries`

  - ### setSigningTimeBoundaries

    public void setSigningTimeBoundaries(SigningTimeBoundaries value)
    Sets the value of the signingTimeBoundaries property.
    Parameters:
      `value` - allowed object is `SigningTimeBoundaries`